# frozen_string_literal: true
# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'phone_sites/version'

Gem::Specification.new do |spec|
  spec.name          = "phone_sites"
  spec.version       = PhoneSites::VERSION
  spec.authors       = ["Igor Pavlov"]
  spec.email         = ["gophan1992@gmail.com"]

  spec.summary       = "Gem for web-scraping data for phone sites"
  spec.description   = "This gem is for scraping data and organize workflow without storing
    something in databases. \r\nUsage: ```PhoneSites::GsmArena::Connection.get_manufacturers```
    will return list of manufacturers. \r\nThen you can call ```manufacturer.models```
    to get list of its models. Each model has method ```info``` that \r\n
    takes model data from site with description"
  spec.homepage      = "http://bitbucket.org/BEaStia/phone_sites/"
  spec.license       = "MIT"

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.12"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_runtime_dependency     "faraday", "~> 0.9.2"
  spec.add_development_dependency "minitest", "~>5.9.0", ">= 5.9.0"
  spec.add_runtime_dependency     "nokogiri", "~>1.6.8", ">= 1.6.8"
  spec.add_development_dependency "rubocop", '~> 0'
  spec.add_runtime_dependency     "memoist", '~> 0'
end
